MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026074Open CASCADE[OCCT] OCCT:Meshpublic2015-04-14 16:252019-09-06 16:15
Reporteribs 
Assigned Tooan 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
Platformx86_64OSWindowsOS Version7 x64
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0026074: Mesh - BRepMesh_IncrementalMesh meshes a specific shape for a long time
DescriptionBRepMesh_IncrementalMesh meshes the attached shape for a long time in x64 mode: 2h:45m (5-6gb RAM is used)

the x86 build of the algo has failed due to the limitation of RAM usage
Steps To Reproducepload ALL
restore a.brep a

set starttime [clock seconds]; clock format $starttime -format %H:%M:%S

incmesh a 0.01116 -a 15 -parallel

set endtime [clock seconds]; clock format $endtime -format %H:%M:%S
Additional information
and documentation updates
the model located: \\aspex\public\_issue_26074\a.brep
TagsNo tags attached.
Test case number
Attached Files7z file icon a.7z (705,753 bytes) 2015-04-14 17:06

- Relationships
related to 0026106closedbugmaster Open CASCADE BRepMesh - revision of data model 

-  Notes
(0039737)
ibs (developer)
2015-04-15 10:37

A long time is necessary to display the model due to its specific. There is no any bug here.
(0039739)
ibs (developer)
2015-04-15 10:37

dear bugmaster,
please just close the issue.
(0039748)
abv (manager)
2015-04-15 11:18

Still it is a problem if BRepMesh works too long with reasonable parameters. Ivan, could you please reformulate the issue in terms of BRepMesh (with no reference to visualization)? Then you can use min size parameter (added in #25378) to see if it helps.
(0069311)
oan (developer)
2017-08-11 12:27

Takes about 5 Minutes using 0026106
(0085562)
git (administrator)
2019-07-10 18:52

Branch CR26074 has been created by oan.

SHA-1: b7b6bedb6cfefd9ffc28bbc55edd9b9ba040486f


Detailed log of new commits:

Author: oan
Date: Wed Jul 10 18:51:08 2019 +0300

    0026074: BRepMesh_IncrementalMesh meshes a specific shape for a long time
    
    Added test case
(0085564)
git (administrator)
2019-07-10 19:01

Branch CR26074 has been updated forcibly by oan.

SHA-1: 5f55b8e615ee1a29cf35688fc880186e98dcfe1c

- Issue History
Date Modified Username Field Change
2015-04-14 16:25 ibs New Issue
2015-04-14 16:25 ibs Assigned To => kgv
2015-04-14 16:27 ibs Additional Information Updated View Revisions
2015-04-14 17:06 ibs File Added: a.7z
2015-04-15 10:35 ibs Assigned To kgv => ibs
2015-04-15 10:35 ibs Severity minor => just a question
2015-04-15 10:35 ibs Status new => resolved
2015-04-15 10:35 ibs Resolution open => no change required
2015-04-15 10:37 ibs Note Added: 0039737
2015-04-15 10:37 ibs Note Added: 0039739
2015-04-15 10:37 ibs Assigned To ibs => bugmaster
2015-04-15 10:37 ibs Status resolved => reviewed
2015-04-15 10:41 ibs Relationship added parent of 0026057
2015-04-15 11:18 abv Note Added: 0039748
2015-04-15 11:18 abv Assigned To bugmaster => ibs
2015-04-15 11:18 abv Status reviewed => assigned
2015-04-15 11:19 abv Relationship added related to 0025378
2015-04-16 10:35 ibs Assigned To ibs => oan
2015-04-16 10:35 ibs Severity just a question => minor
2015-04-16 10:35 ibs Resolution no change required => open
2015-04-16 10:35 ibs Category OCCT:Visualization => OCCT:Mesh
2015-04-16 10:35 ibs Summary vdisplay does not show a shape => BRepMesh_IncrementalMesh meshes a specific shape for a long time
2015-04-16 10:35 ibs Description Updated View Revisions
2015-04-16 10:35 ibs Steps to Reproduce Updated View Revisions
2015-04-16 11:36 ibs OS Version 7 => 7 x64
2015-04-16 11:36 ibs Platform Windows => x86_64
2015-04-17 10:17 oan Target Version 6.9.0 => 7.1.0
2015-04-17 10:18 ibs Target Version 7.1.0 => 6.9.0
2015-04-17 10:18 ibs Description Updated View Revisions
2015-04-17 10:18 ibs Steps to Reproduce Updated View Revisions
2015-04-17 10:32 ibs Target Version 6.9.0 => 7.1.0
2015-04-17 12:12 ibs Description Updated View Revisions
2015-04-17 12:13 ibs Description Updated View Revisions
2015-04-17 12:15 ibs Steps to Reproduce Updated View Revisions
2015-09-17 13:52 oan Relationship added child of 0023513
2016-10-25 17:41 oan Target Version 7.1.0 => 7.2.0
2017-03-13 16:49 abv Relationship added parent of 0028543
2017-07-20 12:43 oan Target Version 7.2.0 => 7.3.0
2017-07-21 14:42 kgv Relationship added related to 0028936
2017-08-11 12:27 oan Note Added: 0069311
2017-08-11 12:27 oan Relationship added related to 0026106
2018-02-25 21:14 abv Target Version 7.3.0 => 7.4.0
2019-07-04 12:49 oan Relationship added related to 0028089
2019-07-10 18:52 git Note Added: 0085562
2019-07-10 19:01 git Note Added: 0085564
2019-09-04 18:30 kgv Summary BRepMesh_IncrementalMesh meshes a specific shape for a long time => Mesh - BRepMesh_IncrementalMesh meshes a specific shape for a long time
2019-09-06 16:15 oan Target Version 7.4.0 => 7.5.0*


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker